<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <LangVersion>10</LangVersion>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Google.Protobuf" Version="3.20.1" />
        <PackageReference Include="Grpc.Net.ClientFactory" Version="2.46.0" />
        <PackageReference Include="Grpc.Tools" Version="2.46.1">
            <PrivateAssets>all</PrivateAssets>
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="6.0.0" />
        <PackageReference Include="Microsoft.Extensions.Http" Version="6.0.0" />
        <PackageReference Include="System.Memory" Version="4.5.4" />
    </ItemGroup>

    <ItemGroup>
        <Protobuf Include="**\*.proto" />
    </ItemGroup>

</Project>
